#ifndef _TGA_H_
#define _TGA_H_

int GetTGASize(unsigned char *tga, long *w, long *h);
int ReadTGA(unsigned char *tga, long dmaflags, void *base,
        int xOutOffset, int yOutOffset, unsigned long *clut,long tcolRGB);
int ReadTGAToMem32bpp(unsigned char *tga, void *base, long tcolRGB);

typedef struct {
    unsigned char  id_len;      // length of identifier field
    unsigned char  cmap_type;   // type of color map
    unsigned char  img_type;    // type of image
    unsigned short cmap_origin; // index of first color map entry
    unsigned short cmap_len;    // number of color map entries
    unsigned char  cdepth;      // depth of color map entries
    unsigned short xorigin;     // origin of image
    unsigned short yorigin;     // origin of image
    unsigned short width;
    unsigned short height;
    unsigned char  pixel_size;  // image pixel size
    unsigned char  descrip;     // image descriptor
} TGAHEAD;


typedef struct {
  void *ptr;
  TGAHEAD head;
  int bytesPerColor;
  unsigned long *clut;
  int curY;
  void *curPtr;
  int curOffset;
} TGA;


TGA* TGAInit(void *tgaPtr);
int TGAReadLine(TGA *tga, long dmaflags, void *base, int xOffset, int yOffset);
void TGADelete(TGA *tga);

#endif
